> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enkryptai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Model Health



## OpenAPI

````yaml POST /redteam/model-health
openapi: 3.0.0
info:
  title: Enkrypt AI APIs
  version: 2.0.0
servers:
  - url: https://api.enkryptai.com
security:
  - apiKeyAuth: []
tags:
  - name: Guardrails
  - name: Code of Conduct
  - name: Endpoints
  - name: Datasets
  - name: Redteam
  - name: Deployments
  - name: AI Proxy
  - name: Leaderboard
  - name: Archived
  - name: MCP Hub
    description: >-
      MCP Hub vulnerability scanning APIs. Submitting scans (the POST endpoints)
      is open to all authenticated callers. The scan **retrieval** APIs — Get
      Scan Job Status, Get Complete Scan Results, List Scans, and Get MCP Hub
      Scan Statistics (the GET endpoints) — are an **enterprise data-license
      feature**: they require your organization to have MCP Hub API access
      enabled by Enkrypt, otherwise they return `403`. Contact us at
      support@enkryptai.com to enable access.
  - name: MCP Registry Servers
  - name: MCP Gateways
  - name: MCP Playground
paths:
  /redteam/model-health:
    post:
      tags:
        - Archived
      summary: Model Health
      operationId: model_health_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RedteamTargetModelConfigurationHealth'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RedteamModelHealthResponse'
components:
  schemas:
    RedteamTargetModelConfigurationHealth:
      title: RedteamTargetModelConfigurationHealth
      type: object
      required:
        - target_model_configuration
      properties:
        target_model_configuration:
          $ref: '#/components/schemas/RedteamTargetModelConfiguration'
    RedteamModelHealthResponse:
      title: RedteamModelHealthResponse
      type: object
      required:
        - status
      properties:
        status:
          title: Status
          type: string
          enum:
            - healthy
            - unhealthy
        message:
          title: Message
          type: string
          example: Model health check completed successfully
        data:
          title: Data
          type: object
          properties:
            query:
              title: Query
              type: string
              example: What is the capital of India?
            response:
              title: Response
              type: string
              example: The capital of India is New Delhi.
          required:
            - query
            - response
        error:
          title: Error Message
          type: string
          example: Error while checking model health
    RedteamTargetModelConfiguration:
      title: RedteamTargetModelConfiguration
      type: object
      properties:
        model_name:
          type: string
          title: Model Name
          example: mistralai/Mistral-7B-Instruct-v0.1
        testing_for:
          type: string
          title: Model Type
          enum:
            - foundationModels
            - chatbotsAndCopilots
            - agents
            - URL
          example: Copilot
        model_version:
          type: string
          title: Model Version
          example: v1
        model_source:
          type: string
          title: Model Source
          example: https://together.ai
        model_provider:
          type: string
          title: Model Provider
          example: together
          enum:
            - openai
            - together
            - huggingface
            - groq
            - azure_openai
            - anthropic
            - cohere
            - bedrock
            - gemini
            - ai21
            - fireworks
            - alibaba
            - portkey
            - deepseek
            - mistral
            - llama
            - openai_compatible
            - url
            - enkryptai
            - sierra
            - boxai
            - nutanix
            - xactly
        model_endpoint_url:
          type: string
          title: Model Endpoint Url
          example: https://api.together.xyz/v1/chat/completions
        model_api_key:
          type: string
          title: Model Api Key
          example: ABCDE12345678900
        system_prompt:
          type: string
          title: System Prompt
          example: ''
        rate_per_min:
          type: number
          title: Rate Per Min that the model supports.
          description: >-
            < 100 won't enable async. > 100 will enable async mode. > 200 we can
            run boosted async (all tests in parallel). Default 20.
          example: 20
        input_modalities:
          title: Input Modalities
          type: array
          description: Types of input that the model can process
          items:
            type: string
            enum:
              - text
              - image
              - audio
          example:
            - text
        output_modalities:
          title: Output Modalities
          type: array
          description: Types of output that the model can generate
          items:
            type: string
            enum:
              - text
          example:
            - text
        tools:
          title: Tools
          type: array
          items:
            title: Tool
            type: object
            required:
              - name
              - description
            properties:
              name:
                title: Tool Name
                type: string
                description: Name of the tool
                example: web_search
              description:
                title: Tool Description
                type: string
                description: Description of what the tool does
                example: >-
                  The tool web search is used to search the web for information
                  related to finance.
          description: Array of tools available to the model
          example:
            - name: web_search
              description: >-
                The tool web search is used to search the web for information
                related to finance.
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: apikey

````